Skip to Main Content Skip to Search
Accelerating the pace of engineering and science

 

System Requirements - Release 13

Choose your Operating System

UNIX/Linux

General

  • CD-ROM drive (for installation)
  • Netscape Navigator 4.0 and above or Microsoft Internet Explorer 4.0 and above is required
  • Adobe Acrobat Reader 3.0 or above is required to view and print the MATLAB online documentation in PDF format
  • Some license types require a license server running FLEXlm 8.0d, which is provided by the MathWorks installer
  • TCP/IP is required on all platforms when using a license server
  • A parallel port is required for licenses that require a hardware lock
  • Because of problems with the Java VM, there are limitations for MATLAB on the HP and IBM platforms.

UNIX/Linux Specific

For Release 14, the next major release, IBM/AIX, Alpha/TRU64, and SGI/IRIX platforms will no longer be available.

Operating System Processors Disk Space RAM
Sun Solaris 2.6 SPARC
ULTRA
90MB
(MATLAB only)
215MB
(MATLAB & Online Help)
128MB (minimum)
256MB (recommended)
64MB swap space
Sun Solaris 2.7
Sun Solaris 2.8
Alpha TRU64 UNIX 4.0f Compaq Alpha
Alpha TRU64 UNIX 5.0
Alpha TRU64 UNIX 5.1
Alpha TRU64 UNIX 5.1a
Alpha TRU64 UNIX 5.1b
HP-UX 10.20 PA-RISC 1.1
PA-RISC 2.0
HP-UX 11.0 PA-RISC 2.0
HP-UX 11i
SGI IRIX/IRIX64 6.5.8 - 6.5.12

MIPS(R5000)
MIPS(R8000)
MIPS(R10000)
MIPS(R12000)
SGI IRIX/IRIX64 6.5.16f
IBM AIX 4.3.3 (RS/6000) PowerPC, Power3
IBM AIX 5.1
Linux 2.2.x Pentium,
Pentium Pro, II, III, IV,
AMD Athlon,
Athlon XP
Linux 2.4.x
glibc(libc6) 2.1.2
glibc (glibc6) 2.2.5 (recommended)

Graphics

  • 8-bit graphics or higher adaptor and display (16 or 24 bit recommended)

Other Recommended Items

  • Postscript Printer

Platform/Version Availability

See all platforms for:
See all products for:
Contact support